Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.rmi.CORBA
Interface StubDelegate

    public interface StubDelegate

Supports delegation for method implementations in `Stub`. A delegate is an instance of a class that implements this interface and provides a replacement implementation for all the methods of `javax.rmi.CORBA.Stub`. If delegation is enabled, each stub has an associated delegate. Delegates are enabled by providing the delegate's class name as the value of the `javax.rmi.CORBA.StubClass` system property.

See Also:
  `Stub`

Method Summary
`void` | `connect(Stub self, ORB orb)` Delegation call for `Stub.connect(org.omg.CORBA.ORB)`.
`boolean` | `equals(Stub self, Object obj)` Delegation call for `Stub.equals(java.lang.Object)`.
`int` | `hashCode(Stub self)` Delegation call for `Stub.hashCode()`.
`void` | `readObject(Stub self, ObjectInputStream s)` Delegation call for `Stub.readObject(java.io.ObjectInputStream)`.
`String` | `toString(Stub self)` Delegation call for `Stub.toString()`.
`void` | `writeObject(Stub self, ObjectOutputStream s)` Delegation call for `Stub.writeObject(java.io.ObjectOutputStream)`.

Method Detail

### hashCode

    int hashCode(Stub self)

  Delegation call for `Stub.hashCode()`.

### equals

    boolean equals(Stub self,
                   Object obj)

  Delegation call for `Stub.equals(java.lang.Object)`.

### toString

    String toString(Stub self)

  Delegation call for `Stub.toString()`.

### connect

    void connect(Stub self,
                 ORB orb)
                 throws RemoteException

  Delegation call for `Stub.connect(org.omg.CORBA.ORB)`.

  Throws:
    `RemoteException`

### readObject

    void readObject(Stub self,
                    ObjectInputStream s)
                    throws IOException,
                           ClassNotFoundException

  Delegation call for `Stub.readObject(java.io.ObjectInputStream)`.

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeObject

    void writeObject(Stub self,
                     ObjectOutputStream s)
                     throws IOException

  Delegation call for `Stub.writeObject(java.io.ObjectOutputStream)`.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.